Bug 1033027 - openlmi-hardware provider AVC denials
openlmi-hardware provider AVC denials
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 07:52 EST by Tomas Smetana
Modified: 2016-07-19 06:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:37:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant audit log parts (3.44 KB, text/plain)
2013-11-21 07:52 EST, Tomas Smetana
no flags Details

  None (edit)
Description Tomas Smetana 2013-11-21 07:52:35 EST
Created attachment 827173 [details]
Relevant audit log parts

Description of problem:
SELinux prevents the OpenLMI HW provider from working.

Version-Release number of selected component (if applicable):
selinux-policy-3.12.1-103.el7.noarch
openlmi-hardware-0.4.1-8.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install the HW provider scriptons:
easy_install --user openlmi-providers openlmi-providers-hardware
2. Run lmi -n hwinfo

Actual results:
ERROR: invocation failed for host "https://localhost": 'NoneType' object has no attribute 'ChassisPackageType'
There was 1 error:
host https://localhost
    (AttributeError) 'NoneType' object has no attribute 'ChassisPackageType

Expected results:
Pretty printed info about the host system.
Comment 1 Daniel Walsh 2013-11-21 10:23:00 EST
BTW Pegasus should probably be an unconfined domain by default, since we have little idea of what people will do with it.

f93e231aa1c987dd1261d6e21ef7deee80a47490 adds a transition from pegasus_t to dmidecode_t to fix this issue in git.

Also added file name transition rules to make sure any content created via pegasus will get labeled correctly.
Comment 2 Miroslav Grepl 2013-11-22 04:11:48 EST
This is caused by openlmi-providers-hardware which should get own policy or pegasus_openlmi_unconfined_t. There is a RHEL7 bug where we are working on it.

Basically this is the same what we have for munin or nagios. So we don't to have unconfined_domain(pegasus) which could mask the fact that a policy is needed for a provider. We have pegasus_openlmi_unconfined_t domain for this.

Also I should write a blog about it.
Comment 3 Jaroslav Reznik 2015-03-03 11:57:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:37:15 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.